Skip to main content
GET
/
v1
/
test-sessions
/
{testSessionId}
/
results
/
{testSessionResultId}
Retrieve a test session result
curl --request GET \
  --url https://api.checklyhq.com/v1/test-sessions/{testSessionId}/results/{testSessionResultId} \
  --header 'Authorization: Bearer <token>'
{
  "testSessionResultId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "testSessionResultLink": "<string>",
  "errorGroupIds": [
    "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  ],
  "hasErrors": true,
  "hasFailures": true,
  "isDegraded": true,
  "aborted": true,
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "isCancelled": true,
  "overMaxResponseTime": true,
  "attempts": 1,
  "traceId": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "checkId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "runLocation": "<string>",
  "responseTime": 123,
  "startedAt": "2023-11-07T05:31:56Z",
  "stoppedAt": "2023-11-07T05:31:56Z",
  "privateLocationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "filePath": "<string>",
  "sequenceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "scheduleError": "<string>",
  "updated_at": "2023-11-07T05:31:56Z",
  "apiCheckResult": {
    "assertions": [
      {}
    ],
    "request": {},
    "response": {},
    "requestError": "<string>",
    "jobLog": "<unknown>",
    "jobAssets": [
      "<string>"
    ],
    "pcapDataUrl": "<string>"
  },
  "browserCheckResult": {
    "type": "<string>",
    "traceSummary": {},
    "pages": [
      {}
    ],
    "errors": [
      null
    ],
    "endTime": 123,
    "startTime": 123,
    "runtimeVersion": "<string>",
    "jobLog": "<unknown>",
    "jobAssets": [
      "<string>"
    ],
    "pcapDataUrl": "<string>",
    "playwrightTestVideos": [
      "<string>"
    ],
    "playwrightTestTraces": [
      "<string>"
    ],
    "playwrightTestJsonReportFile": "<string>"
  },
  "multiStepCheckResult": {
    "errors": [
      null
    ],
    "endTime": 123,
    "startTime": 123,
    "runtimeVersion": "<string>",
    "jobLog": "<unknown>",
    "jobAssets": [
      "<string>"
    ],
    "pcapDataUrl": "<string>",
    "playwrightTestVideos": [
      "<string>"
    ],
    "playwrightTestTraces": [
      "<string>"
    ],
    "playwrightTestJsonReportFile": "<string>"
  },
  "playwrightCheckResult": {
    "errors": [
      null
    ],
    "playwrightTraceFiles": [
      {}
    ],
    "jobLog": "<unknown>",
    "jobAssets": [
      "<string>"
    ],
    "pcapDataUrl": "<string>",
    "playwrightTestVideos": [
      "<string>"
    ],
    "playwrightTestTraces": [
      "<string>"
    ],
    "playwrightTestJsonReportFile": "<string>"
  },
  "agenticCheckResult": {
    "summary": "<string>",
    "prompt": "<string>",
    "assertions": [
      {}
    ],
    "suggestions": [
      {}
    ],
    "steps": [
      {}
    ],
    "errors": [
      null
    ],
    "artifactManifest": {},
    "jobLog": "<unknown>",
    "jobAssets": [
      "<string>"
    ],
    "pcapDataUrl": "<string>"
  }
}

Authorizations

Authorization
string
header
required

The Checkly Public API uses API keys to authenticate requests. You can get the API Key here. Your API key is like a password: keep it secure! Authentication to the API is performed using the Bearer auth method in the Authorization header and using the account ID. For example, set Authorization header while using cURL: curl -H "Authorization: Bearer [apiKey]" "X-Checkly-Account: [accountId]"

Headers

x-checkly-account
string<uuid>

Your Checkly account ID, you can find it at https://app.checklyhq.com/settings/account/general

Path Parameters

testSessionId
string<uuid>
required

Test session ID.

testSessionResultId
string<uuid>
required

Test session result ID.

Response

Successful

testSessionResultId
string<uuid>
required
checkType
enum<string>
required
Available options:
AGENTIC,
API,
BROWSER,
HEARTBEAT,
ICMP,
MULTI_STEP,
TCP,
PLAYWRIGHT,
URL,
DNS,
SSL,
GRPC,
TRACEROUTE
errorGroupIds
string<uuid>[]
required

IDs of the test-session error groups associated with this result.

status
enum<string>
required
Available options:
RUNNING,
FAILED,
PASSED,
CANCELLED
hasErrors
boolean
required
hasFailures
boolean
required
isDegraded
boolean
required
aborted
boolean
required
id
string<uuid>
required

Alias of testSessionResultId for check-result detail response parity.

isCancelled
boolean
required
overMaxResponseTime
boolean
required
attempts
integer
required
Required range: x >= 0
traceId
string | null
required
created_at
string<date-time>
required
checkId
string<uuid> | null
name
string
runLocation
string
resultType
enum<string>
Available options:
FINAL,
ATTEMPT,
PENDING
responseTime
number | null

Time the check spent producing its result, in milliseconds. For protocol checks this is the measured operation time (a subset of the run): request time for API and URL checks, connection time for TCP, resolution time for DNS, average latency for ICMP and TRACEROUTE, request timing for GRPC, and TLS handshake time for SSL. For browser, multi-step, Playwright and agentic checks it is the run wall-clock duration. Null until the check has finished. For the total wall-clock time a check run took, use stoppedAt - startedAt.

startedAt
string<date-time> | null

When the check run started. Null until the check has started.

stoppedAt
string<date-time> | null

When the check run finished. Subtract startedAt for the total wall-clock duration of the run. Null until the check has finished.

privateLocationId
string<uuid> | null
filePath
string | null
sequenceId
string<uuid> | null
scheduleError
string | null
updated_at
string<date-time> | null
apiCheckResult
object | null
browserCheckResult
object | null
multiStepCheckResult
object | null
playwrightCheckResult
object | null
agenticCheckResult
object | null